org.gnome.gtk

## Class SimpleInputMethod

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.InputMethod
        - - org.gnome.gtk.SimpleInputMethod

-     public class SimpleInputMethod
      extends InputMethod

  The basis of the default input method in GTK.

  By all accounts you do not want to use this. Instead, call the constructor of `MulticontextInputMethod`. If ther is no input method set, then GTK's default fallback is to use a simple context.

  Since:
    4.0.14
  Author:
    Andrew Cowie

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.InputMethod

      `InputMethod.Commit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleInputMethod()` Construct an InputMethod using the GTK's default "simple" backend.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.gtk.InputMethod

      `connect, filterKeypress, setUsePreedit`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleInputMethod

          public SimpleInputMethod()

      Construct an InputMethod using the GTK's default "simple" backend.
      Since:
        4.0.14